#
# Hidden pInternalValues OF
#

define pInternalValuesh
	if $argc > 2 || $argc == 0
		printf "Use \"pInternalValues <objeto> [<file>]\"\n"
	else
		set $size = $arg0.size_
		set $type = $arg0.typeName._M_dataplus._M_p
		set $style = 0
		if $argc == 2
			set logging file $arg1
			set logging redirect on
			set logging on
		end

		set $start = 0
		set $end = $size
		if strcmp($type,"volScalarField") == 0 || strcmp($type,"surfaceScalarField") == 0
			p *($arg0.v_+$start)@($end-$start)
		else
			if strcmp($type,"volVectorField") == 0 || strcmp($type,"surfaceVectorField") == 0
				p ($arg0.v_+$start).v_@($end-$start)
				set $style = 1
			else
				if strcmp($type,"volSymmTensorField") == 0 || strcmp($type,"surfaceSymmTensorField") == 0
					p ($arg0.v_+$start).v_@($end-$start)
					set $style = 2
				else
					if strcmp($type,"volTensorField") == 0 || strcmp($type,"surfaceTensorField") == 0
						p ($arg0.v_+$start).v_@($end-$start)
						set $style = 3
					end
				end
			end
		end 
		if $argc == 2
			set logging redirect off
			set logging off
			if $style == 0 
				shell sh ~/OpenFOAM/gdbOF/scalarField2octave.sh $arg1
			else
				if $style == 1
					shell sh ~/OpenFOAM/gdbOF/vectorField2octave.sh $arg1
				else
					if $style == 2
						shell sh ~/OpenFOAM/gdbOF/symmTensorField2octave.sh $arg1
					else 
						if $style == 3
							shell sh ~/OpenFOAM/gdbOF/tensorField2octave.sh $arg1
						end
					end
				end			
			end
		end
	end
end


#
# Hidden pPatchValues OF
#

define pPatchValuesh
	if $argc < 2 || $argc > 3
		printf "Use \"pPatchValues <objeto> <index>  [<file>]\"\n"
	else
		if $arg1 < 0 || $arg1 >= $arg0.boundaryField_.ptrs_.size_
			printf "Error en el indice \n"
		else
			set $patch = $arg0.boundaryField_.ptrs_.v_[$arg1]
			set $size = $patch.size_
			set $type = $arg0.typeName._M_dataplus._M_p
			set $style = 0
			if $size > 0
				if $argc == 3
					set logging file $arg2
					set logging redirect on
					set logging on
				end
				set $start = 0
				set $end = $size
				if strcmp($type,"volScalarField") == 0 || strcmp($type,"surfaceScalarField") == 0
					p *($patch.v_+$start)@($end-$start)
				else
					if strcmp($type,"volVectorField") == 0 || strcmp($type,"surfaceVectorField") == 0
						p ($patch.v_+$start).v_@($end-$start)
						set $style = 1
					else
						if strcmp($type,"volSymmTensorField") == 0 || strcmp($type,"surfaceSymmTensorField") == 0
							p ($patch.v_+$start).v_@($end-$start)
							set $style = 2
						else
							if strcmp($type,"volTensorField") == 0 || strcmp($type,"surfaceTensorField") == 0
								p ($patch.v_+$start).v_@($end-$start)
								set $style = 3
							end
						end
					end
				end
				if $argc == 3
					set logging redirect off
					set logging off
					if $style == 0 
						shell sh ~/OpenFOAM/gdbOF/scalarField2octave.sh $arg2
					else
						if $style == 1
							shell sh ~/OpenFOAM/gdbOF/vectorField2octave.sh $arg2
						else
							if $style == 2
								shell sh ~/OpenFOAM/gdbOF/symmTensorField2octave.sh $arg2
							else 
								if $style == 3
									shell sh ~/OpenFOAM/gdbOF/tensorField2octave.sh $arg2
								end
							end
						end
					end
				end
			end
		end
	end
end
